#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	at-spi2-core
Version		:	2.50.0
Release		:	14.8.0.0%{?dist}
Summary		:	Protocol definitions and daemon for D-Bus at-spi
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://ftp.gnome.org/pub/gnome/sources/at-spi2-core

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	gi-docgen
BuildRequires	:	make-ca
BuildRequires	:	gettext
BuildRequires	:	gobject-introspection
BuildRequires	:	dbus-devel
BuildRequires	:	gettext
BuildRequires	:	glib-devel
BuildRequires	:	libxml2-devel
BuildRequires	:	meson
BuildRequires	:	python3-markdown
BuildRequires	:	python3-smartypants
BuildRequires	:	python3-sphinx
BuildRequires	:	python3-typogrify
BuildRequires	:	xorg-libXi
BuildRequires	:	xorg-libXtst

Requires(post)	:	glibc
Requires(postun):	glibc
#-----------------------------------------------------------------------------
%description
GNOME provides support for accessibility devices
using the ATK framework. This framework defines a
set of interfaces to which graphical interface
components adhere. This allows, for instance,
screen readers to read the text of an interface and
interact with its controls.
ATK support is built into GTK+ 3 and the rest of
the GNOME platform, so any application using GTK+ 3
 will have reasonable accessibility support for free.
GTK4 now includes accessibility support natively and
does not need ATK.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README.md NEWS
%{_sysconfdir}/xdg/Xwayland-session.d/00-at-spi
%{_sysconfdir}/xdg/autostart/*
%{_libexecdir}/at-spi-bus-launcher
%{_libexecdir}/at-spi2-registryd
%{_libdir}/libatspi.so*
%{_libdir}/pkgconfig/atspi-2.pc
%{_libdir}/girepository-1.0/Atspi-2.0.typelib
%{_datadir}/gir-1.0/Atspi-2.0.gir
%{_datadir}/dbus-1/*
%{_datadir}/defaults/at-spi2/*

#=============================================================================
%package		devel
Summary		:	Headers for developing programs that will use %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The at-spi2-core-devel package includes the
header files and API documentation for libatspi.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/at-spi-2.0/atspi/*.h
%{_datadir}/gir-1.0/Atspi-2.0.gir
%{_defaultdocdir}/libatspi/*.html
%{_defaultdocdir}/libatspi/*.css
%{_defaultdocdir}/libatspi/*.js
%{_defaultdocdir}/libatspi/*.png
%{_defaultdocdir}/libatspi/index.json
%{_defaultdocdir}/libatspi/libatspi.devhelp2
%{_defaultdocdir}/atk/opensearch.xml

#=============================================================================
%package		-n atk
Summary		:	Interfaces for accessibility support

#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		-n atk
The ATK library provides a set of interfaces for adding
accessibility support to applications and graphical
user interface toolkits.
By supporting the ATK interfaces, an application or
toolkit can be used with tools such as screen readers,
magnifiers, and alternative input devices.

#-----------------------------------------------------------------------------
%files			-n atk
%defattr(-,root,root,-)
%{_libdir}/libatk-1.0.so.*
%{_libdir}/girepository-1.0/Atk-1.0.typelib

#=============================================================================
%package		-n atk-devel
Summary		:	Development files for the ATK accessibility toolkit

#-----------------------------------------------------------------------------
Requires	:	atk	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		-n atk-devel
This package includes libraries, header files, and
developer documentation needed for development of
applications or toolkits which use ATK

#-----------------------------------------------------------------------------
%files			-n atk-devel
%defattr(-,root,root,-)
%{_includedir}/atk-1.0/atk/*.h
%{_libdir}/libatk-1.0.so
%{_libdir}/pkgconfig/atk.pc
%{_datadir}/gir-1.0/Atk-1.0.gir
%{_defaultdocdir}/atk/*.html
%{_defaultdocdir}/atk/*.css
%{_defaultdocdir}/atk/*.js
%{_defaultdocdir}/atk/*.png
%{_defaultdocdir}/atk/index.json
%{_defaultdocdir}/atk/atk.devhelp2

#=============================================================================
%package		-n at-spi2-atk
Summary		:	A GTK+ module that bridges ATK to D-Bus at-spi

#-----------------------------------------------------------------------------
Requires	:	atk	= %{version}-%{release}
Requires	:	%{name}	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		-n at-spi2-atk
at-spi allows assistive technologies to access
GTK-based applications. Essentially it exposes
the internals of applications for automation,
so tools such as screen readers, magnifiers, or
even scripting interfaces can query and interact
with GUI controls.
 
This version of at-spi is a major break from
previous versions.
It has been completely rewritten to use D-Bus
rather than ORBIT / CORBA for its transport protocol.
 
This package includes a gtk-module that
bridges ATK to the new D-Bus based at-spi.

#-----------------------------------------------------------------------------
%files			-n at-spi2-atk
%defattr(-,root,root,-)
%license COPYING
%{_libdir}/libatk-bridge-2.0.so.*
%{_libdir}/gtk-2.0/modules/libatk-bridge.so
%{_libdir}/gnome-settings-daemon-3.0/gtk-modules/at-spi2-atk.desktop

#=============================================================================
%package		-n at-spi2-atk-devel
Summary		:	A GTK+ module that bridges ATK to D-Bus at-spi

#-----------------------------------------------------------------------------
Requires	:	at-spi2-atk	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		-n at-spi2-atk-devel
The at-spi2-atk-devel package includes the
header files for the at-spi2-atk library.

#-----------------------------------------------------------------------------
%files			-n at-spi2-atk-devel
%defattr(-,root,root,-)
%{_includedir}/at-spi2-atk/2.0/atk-bridge.h
%{_libdir}/libatk-bridge-2.0.so
%{_libdir}/pkgconfig/atk-bridge-2.0.pc

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson							\
	setup						\
	--buildtype=release				\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--localstatedir=%{_var}				\
	--localedir=%{_datadir}/locale			\
	--wrap-mode=nodownload				\
	--auto-features=enabled				\
	-D systemd_user_dir=/tmp			\
	-D docs=true					\
	-D dbus_daemon=%{_bindir}/dbus-daemon		\
	.						\
	_bld						\

meson 							\
	compile						\
		-C _bld					\
		--verbose				\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
meson							\
	install						\
		-C _bld					\
		--no-rebuild				\


#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#removing systemd dbus service
%{__rm}  %{buildroot}/tmp/at-spi-dbus-bus.service

%{find_lang} %{name}

#-----------------------------------------------------------------------------
%changelog
